GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

List of all members
OGRSFDriver Class Reference

LEGACY class. More...

`#include <ogrsf_frmts.h>`

Inheritance diagram for OGRSFDriver:

## Additional Inherited Members
Public Member Functions inherited from GDALDriver
virtual CPLErr | SetMetadataItem (const char *pszName, const char *pszValue, const char *pszDomain="") CPL_OVERRIDE
| Set single metadata item. More...
GDALDataset * | Create (const char *pszName, int nXSize, int nYSize, int nBands, GDALDataType eType, char **papszOptions) CPL_WARN_UNUSED_RESULT
| Create a new dataset with this driver. More...
CPLErr | Delete (const char *pszName)
| Delete named dataset. More...
CPLErr | Rename (const char *pszNewName, const char *pszOldName)
| Rename a dataset. More...
CPLErr | CopyFiles (const char *pszNewName, const char *pszOldName)
| Copy the files of a dataset. More...
GDALDataset * | CreateCopy (const char *, GDALDataset *, int, char **, GDALProgressFunc pfnProgress, void *pProgressData) CPL_WARN_UNUSED_RESULT
| Create a copy of a dataset. More...
Public Member Functions inherited from GDALMajorObject
int | GetMOFlags () const
| Returns the GMO_ flags. More...
void | SetMOFlags (int nFlagsIn)
| Assign GMO_flags. More...
virtual const char * | GetDescription () const
| Fetch object description. More...
virtual void | SetDescription (const char *)
| Set object description. More...
virtual char ** | GetMetadataDomainList ()
| Fetch list of metadata domains. More...
virtual char ** | GetMetadata (const char *pszDomain="")
| Fetch metadata. More...
virtual CPLErr | SetMetadata (char **papszMetadata, const char *pszDomain="")
| Set metadata. More...
virtual const char * | GetMetadataItem (const char *pszName, const char *pszDomain="")
| Fetch single metadata item. More...
Static Public Member Functions inherited from GDALDriver
static CPLErr | QuietDelete (const char *pszName)
| Delete dataset if found. More...
Protected Member Functions inherited from GDALMajorObject
char ** | BuildMetadataDomainList (char **papszList, int bCheckNonEmpty,...) CPL_NULL_TERMINATED
| Helper function for custom implementations of GetMetadataDomainList() More...

## Detailed Description

LEGACY class.

Use GDALDriver in your new code ! This class may be removed in a later release.

Represents an operational format driver.

One OGRSFDriver derived class will normally exist for each file format registered for use, regardless of whether a file has or will be opened. The list of available drivers is normally managed by the OGRSFDriverRegistrar.

NOTE: Starting with GDAL 2.0, it is NOT safe to cast the handle of a C function that returns a OGRSFDriverH to a OGRSFDriver*. If a C++ object is needed, the handle should be cast to GDALDriver*.

Deprecated:

The documentation for this class was generated from the following file:

- ogrsf_frmts.h

Generated for GDAL by 1.8.8.